@echo off
set PID=%1
if "%PID%"=="" (
	goto end
)
echo %PID%|findstr /be "[^0-9]" >nul && goto end
echo Restart ITOSS ...
set ITOSS_HOME=%~dp0
taskkill /PID %PID% /T /F > nul
ping -n 3 127.0.0.1>nul
call %ITOSS_HOME%start.bat

:end
exit